import { NgModule } from "@angular/core";
import { Routes, RouterModule } from "@angular/router";

import { NavbarComponent } from "./components/navbar/navbar.component";
import { LoginComponent } from "./components/login/login.component";
import { JoinComponent } from "./components/join/join.component";
import { RegisterComponent } from "./components/register/register.component";
import { HomeComponent } from "./components/home/home.component";
import { DashboardComponent } from "./components/dashboard/dashboard.component";
import { ProfileComponent } from "./components/profile/profile.component";
import { ListComponent } from "./components/list/list.component";
import { TimetableComponent } from "./components/timetable/timetable.component";
import { FoodComponent } from "./components/food/food.component";
import { TimeComponent } from "./components/time/time.component";
import { OtpComponent } from "./components/otp/otp.component";
import { CertComponent } from "./components/cert/cert.component";
import { AuthGuard } from "./guards/auth.guard";
import { BusComponent } from "./components/bus/bus.component";

const routes: Routes = [
  { path: "", component: HomeComponent },
  { path: "navbar", component: NavbarComponent },
  { path: "login", component: LoginComponent },
  { path: "join", component: JoinComponent },
  { path: "register", component: RegisterComponent },
  {
    path: "dashboard",
    component: DashboardComponent,
    canActivate: [AuthGuard]
  },
  { path: "profile", component: ProfileComponent, canActivate: [AuthGuard] },
  { path: "list", component: ListComponent, canActivate: [AuthGuard] },
  {
    path: "timetable",
    component: TimetableComponent,
    canActivate: [AuthGuard]
  },
  { path: "food", component: FoodComponent, canActivate: [AuthGuard] },
  { path: "time", component: TimeComponent, canActivate: [AuthGuard] },
  { path: "otp", component: OtpComponent, canActivate: [AuthGuard] },
  { path: "cert", component: CertComponent, canActivate: [AuthGuard] },
  { path: "bus", component: BusComponent, canActivate: [AuthGuard] }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule {}
