import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";
import { FormsModule } from "@angular/forms";
import { AppRoutingModule } from "./app-routing.module";
import { HttpClientModule } from "@angular/common/http";
import { ReactiveFormsModule } from "@angular/forms";
import { AppComponent } from "./app.component";
import { NavbarComponent } from "./components/navbar/navbar.component";
import { LoginComponent } from "./components/login/login.component";
import { HomeComponent } from "./components/home/home.component";
import { RegisterComponent } from "./components/register/register.component";
import { DashboardComponent } from "./components/dashboard/dashboard.component";
import { ProfileComponent } from "./components/profile/profile.component";
import { ValidateService } from "./services/validate.service";
import { AuthService } from "./services/auth.service";

import {
  FlashMessagesService,
  FlashMessagesModule
} from "angular2-flash-messages";

import { AuthGuard } from "./guards/auth.guard";

import { JwtModule } from "@auth0/angular-jwt";
import { ListComponent } from "./components/list/list.component";
import { TimetableComponent } from "./components/timetable/timetable.component";
import { FoodComponent } from "./components/food/food.component";
import { TimeComponent } from "./components/time/time.component";
import { JoinComponent } from "./components/join/join.component";
import { OtpComponent } from "./components/otp/otp.component";
import { CertComponent } from "./components/cert/cert.component";
import { BusComponent } from "./components/bus/bus.component";
import { ModalModule } from "ngx-bootstrap/modal";

@NgModule({
  declarations: [
    AppComponent,
    NavbarComponent,
    LoginComponent,
    HomeComponent,
    RegisterComponent,
    DashboardComponent,
    ProfileComponent,
    ListComponent,
    TimetableComponent,
    FoodComponent,
    TimeComponent,
    JoinComponent,
    OtpComponent,
    CertComponent,
    BusComponent
  ],
  imports: [
    BrowserModule,
    FormsModule,
    AppRoutingModule,
    FlashMessagesModule,
    ReactiveFormsModule,
    HttpClientModule,
    FlashMessagesModule,
    JwtModule.forRoot({
      config: {
        tokenGetter: () => {
          return localStorage.getItem("id token");
        }
      }
    }),
    ModalModule.forRoot()
  ],
  providers: [ValidateService, FlashMessagesService, AuthGuard],
  bootstrap: [AppComponent]
})
export class AppModule {}
