import { Component, OnInit } from "@angular/core";
import { AuthService } from "src/app/services/auth.service";
import { ValidateService } from "src/app/services/validate.service";
import { FlashMessagesService } from "angular2-flash-messages";
import { Router } from "@angular/router";

@Component({
  selector: "app-list",
  templateUrl: "./list.component.html",
  styleUrls: ["./list.component.scss"]
})
export class ListComponent implements OnInit {
  content: String;


  constructor(
    private authService: AuthService,
    private validateService: ValidateService,
    private flashMessage: FlashMessagesService,
    private router: Router
  ) {}
  boards: any;
  
  ngOnInit() {
    this.authService.getBoard().subscribe(boards => {
      this.boards = boards;
    });
  }

  AddBoardData() {
    const data = {
      content: this.content

    };

    if (!this.validateService.validateAddBoard(data)) {
      this.flashMessage.show("모든 필드들을 채워주세요", {
        cssClass: "alert-danger",
        timeout: 3000
      });
      return false;
    }

    this.authService.AddtoBoard(data).subscribe(data => {
      if (data.success) {
        alert("등록 성공")
        this.router.navigate(["/"]);
      } else {
        alert("등록 실패")
        this.router.navigate(["/list"]);
      }
    });
  }

  deleteMongoBoard(data) {
    console.log(data);
    const deleteboard = {
      number: data.number,
      content: data.content,
      date: data.date,
    };
    this.authService.deleteBoard(deleteboard).subscribe(data => {
      if (data.success) {
        alert("삭제 성공")
        this.router.navigate(["/list"]);
      } else {
        this.flashMessage.show("Not delete to Board Data", {
          cssClass: "alert-danger",
          timeout: 3000
        });
        this.router.navigate(["/list"]);
      }
    });
  }
}
