import { Component, OnInit } from "@angular/core";
import { AuthService } from "../../services/auth.service";
import { Router } from "@angular/router";
@Component({
  selector: "app-profile",
  templateUrl: "./profile.component.html",
  styleUrls: ["./profile.component.scss"]
})
export class ProfileComponent implements OnInit {
  name: string;
  username: string;
  email: string;
  ptoken: any; // 공개토큰
  stoken: any; // 비밀토큰
  ctime: any; // 현재시간
  auth: any; // 일회용인증정보
  constructor(private authService: AuthService, private router: Router) {}
  ngOnInit() {
    this.ctime = new Date().getTime().toString();
    this.ptoken = localStorage.getItem("ptoken");
    this.stoken = localStorage.getItem("stoken");
    this.auth = this.authService.computeAuth(this.ctime, this.stoken);

    this.authService.getProfile(this.ptoken, this.ctime, this.auth).subscribe(
      profile => {
        this.name = profile.user.name;
        this.username = profile.user.username;
        this.email = profile.user.email;
      },
      err => {
        //console.log(err);
        this.authService.logout();
        this.router.navigate(["login"]);
        return false;
      }
    );
  }
}
